#include <stdio.h>

int main()
{
long int n,k,r=0,q;
scanf("%ld %ld",&n,&k);
long int a[n];
for(int i = 0;i<n;i++)
{
scanf("%ld",&a[i]);
if(r==1)
{
q=a[i];
r=0;
}
if(a[i]==k)
{
if(i==n-1)
q=a[0];
else
r=1;
}
}
printf("%ld",q);
    return 0;
}